package structs

import (
	"encoding/json"
	"time"
)

// swagger:model EquipmentDocumentation
type EquipmentDocumentation struct {
	Id              string
	StockItemId     string // stock item id of invex system
	Type            uint8
	Title           string
	Notes           string
	CreatedByUserId string
	CreatedAt       time.Time
	UpdatedAt       time.Time
}

type EquipmentRequest struct {
	StockItemId string
}

type GetDocumentationEquipmentRequest struct {
	StockItemId     string `json:"stockItemId"`
	DocumentationId string `json:"documentationId"`
}

// swagger:model CreateEquipmentDocumentationRequest
type CreateEquipmentDocumentationRequest struct {
	StockItemId string          `json:"stockItemId"`
	Type        uint8           `json:"type"`
	Title       string          `json:"title"`
	Notes       json.RawMessage `json:"notes"`
}

// swagger:model EquipmentDocumentationResponse
type EquipmentDocumentationResponse struct {
	Status         int
	Documentations []EquipmentDocumentation
	TotalPages     int
}

// swagger:model EditEquipmentDocumentationRequest
type EditEquipmentDocumentationRequest struct {
	DocumentationId string          `json:"documentationId"`
	Type            uint8           `json:"type"`
	Title           string          `json:"title"`
	Notes           json.RawMessage `json:"notes"`
}
