package structs

import (
	"time"
)

type LogMessage struct {
	Id       uint16
	Time     time.Time
	Type     uint8
	Messages []LogData
}

type LogData struct {
	Type  string
	Value string
}

type LanguageLogMessages struct {
	Id        uint16
	Languages []LanguageLogMessagesLanguage
}

type LanguageLogMessagesLanguage struct {
	Lang    string
	Message string
}

type LogListMessage struct {
	Time    time.Time
	Type    uint8
	Message string
	LogData []LogData
}

type LogMessageResponse struct {
	Logs            []LogListMessage
	Dates           []string
	Users           []AllUsers
	Roles           []Role
	CategoryGroups  []CategoryGroup
	GroupTasks      []GroupTasks
	GroupTasksSteps []GroupTaskSteps
}
