package structs

import "time"

type Notification struct {
	Id string
	// success = 1, info = 2, warning = 3, error = 4
	Type      uint8
	UserId    string
	Title     string
	CreatedAt time.Time
}

// swagger:model AddNotificationRequest
type AddNotificationRequest struct {
	Type uint8
	// send notification to specific users
	UserIds []string
	// send notification to users with specific permission
	NeededPermission string
	// send notification to users with specific role
	RoleIds []string
	Title   string
}

// swagger:model NotificationsResponse
type NotificationsResponse struct {
	Notifications []Notification
	TotalPages    int
}

type TelegramBotManagerRequestBody struct {
	UserIds []string
	Type    uint8
	Title   string
}
