package structs

// database model
type PipelineProduct struct {
	Id    string
	Votes int
}

type NewProduct struct {
	Id              string
	Name            string
	Url             string
	Variant         string
	Characteristics string
	PublishedAt     string
}

type InWorkProduct struct {
	Id              string
	Name            string
	Variant         string
	Characteristics string
}

type FutureProduct struct {
	Id              string
	Name            string
	Votes           int
	Variant         string
	Characteristics string
}

type PipelineProductsCache struct {
	NewProducts    []NewProduct
	InWorkProducts []InWorkProduct
	FutureProducts []FutureProduct
}

type ProductState struct {
	Status string // like Warteschlange, In Arbeit
	State  uint8  // like 1, 2, 3
}

type VoteProductQuery struct {
	/* T = type	*/
	T string // u = up, d = down
}

type VoteProductRequest struct {
	Id string
}
